# $Revision: 1.28 $, $Date: 2011/11/26 21:49:23 $
Summary:	C/C++ debugger for GNOME
Summary(pl.UTF-8):	Debugger C/C++ dla GNOME
Name:		nemiver
Version:	0.9.0
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nemiver/0.9/%{name}-%{version}.tar.xz
# Source0-md5:	03a2c34d4c04fd69749c01975a97c0c2
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-configure.patch
URL:		http://home.gna.org/nemiver/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	docbook-dtd412-xml
# gdlmm for dynamic layout
BuildRequires:	gdlmm-devel >= 3.2
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	ghex-devel >= 3.0.0 
BuildRequires:	glibmm-devel >= 2.16.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	gtksourceviewmm3-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgtop-devel >= 2.14.0
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	vte-devel >= 0.12.0
Requires(post,postun):  glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
Requires:	gdb
Requires:	gtkmm >= 2.18
Obsoletes:	nemiver-libs < 0.5.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nemiver is an ongoing effort to write a standalone graphical debugger
that integrates well in the GNOME desktop environment. It currently
features a backend which uses the well known GNU Debugger (gdb) to
debug C/C++ programs.

%description -l pl.UTF-8
Nemiver to próba napisania samodzielnego graficznego debuggera dobrze
integrującego się ze środowiskiem graficznym GNOME. Aktualnie zawiera
backend wykorzystujący dobrze znany GNU Debugger (gdb) do śledzenia
programów w C/C++.

%package devel
Summary:	Header files for Nemiver
Summary(pl.UTF-8):	Pliki nagłówkowe Nemivera
Group:		X11/Development/Libraries
Requires:	glibmm-devel >= 2.16.0
Requires:	libgtop-devel >= 2.14.0
Requires:	libxml2-devel >= 1:2.6.31
Obsoletes:	nemiver-static

%description devel
Header files for developing new debugging backends for Nemiver.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania nowych backendów dla Nemivera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-scrollkeeper \
	--disable-schemas-install \
	--disable-silent-rules \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/nemiver/*.la
rm $RPM_BUILD_ROOT%{_libdir}/nemiver/modules/*.la
rm $RPM_BUILD_ROOT%{_libdir}/nemiver/plugins/dbgperspective/*.la

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/nemiver
%{_datadir}/glib-2.0/schemas/org.nemiver.gschema.xml
%{_datadir}/nemiver
%{_desktopdir}/nemiver.desktop
%{_iconsdir}/hicolor/*/apps/nemiver.png
%{_iconsdir}/hicolor/*/apps/nemiver.svg
%dir %{_libdir}/nemiver
%attr(755,root,root) %{_libdir}/nemiver/libnemivercommon.so
%{_libdir}/nemiver/config
%dir %{_libdir}/nemiver/modules
%attr(755,root,root) %{_libdir}/nemiver/modules/*.so
%dir %{_libdir}/nemiver/plugins
%dir %{_libdir}/nemiver/plugins/dbgperspective
%{_libdir}/nemiver/plugins/dbgperspective/dbgperspective.conf
%{_libdir}/nemiver/plugins/dbgperspective/icons
%attr(755,root,root) %{_libdir}/nemiver/plugins/dbgperspective/libdbgperspectiveplugin.so
%{_libdir}/nemiver/plugins/dbgperspective/menus
%{_libdir}/nemiver/plugins/dbgperspective/plugin-descriptor.xml
%{_libdir}/nemiver/plugins/dbgperspective/sqlscripts
%{_libdir}/nemiver/plugins/dbgperspective/ui
%{_mandir}/man1/nemiver.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/nemiver

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nemiver.spec,v $
Revision 1.28  2011/11/26 21:49:23  arekm
- release 3

Revision 1.27  2011/10/29 14:59:59  jareq
- added BR gdlmm-devel (for dynamic layout)
- rel 2

Revision 1.26  2011/10/29 12:11:30  jareq
- updated to 0.9.0
- rel 1

Revision 1.25  2011/02/04 18:23:58  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.24  2011/01/27 16:38:21  atler
- up to 0.8.1
- gcc-4.5.diff applied upstream
- updated BRs
- no -f for rm (prevent from failing silently if files no longer exist)

Revision 1.23  2010/05/18 08:31:37  gotar
- R: gtkmm higher than 2.14 (maybe 2.16 is enough)
  libworkbenchmod.so: undefined symbol: _ZN3Gtk6Action16set_is_importantEb

Revision 1.22  2010/05/09 16:02:00  megabajt
- removed bogus BR: libpng12-devel
- disabled silent rules

Revision 1.21  2010/05/09 12:57:51  gotar
- BR: libpng12-devel

Revision 1.20  2010/05/09 12:47:42  gotar
- GCC 4.5 patch from http://ftp.debian.org/debian/pool/main/n/nemiver/nemiver_0.7.3-2.diff.gz

Revision 1.19  2010/05/09 12:39:32  gotar
- upgraded to 0.7.3

Revision 1.18  2009/11/28 22:41:58  sparky
- BR: docbook-dtd412-xml

Revision 1.17  2009/08/02 20:48:58  adamg
- updated to 0.7.1

Revision 1.16  2009/03/02 17:42:54  adamg
- updated to 0.6.5

Revision 1.15  2008/11/28 16:40:12  megabajt
- updated to 0.6.4

Revision 1.14  2008/11/02 20:21:39  arekm
- release 2

Revision 1.13  2008/10/10 17:15:29  qboosh
- -devel O: -static
- use --disable-static instead of building and rming

Revision 1.12  2008/10/09 18:20:52  megabajt
- updated to 0.6.3
- removed obsolete -static subpackage

Revision 1.11  2008/08/28 14:08:18  patrys
- 0.6.1

Revision 1.10  2008/06/25 10:53:48  patrys
- 0.5.4

Revision 1.9  2008-06-01 17:44:31  adamg
- cleanups

Revision 1.8  2008-06-01 08:07:50  adamg
- updated to 0.5.3
- libs package no longer needed (I think)

Revision 1.7  2008-04-29 14:06:07  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.6  2007-06-08 10:10:30  megabajt
- updated to 0.4.0

Revision 1.5  2007/05/17 19:50:17  qboosh
- base R: -libs
- -devel R: libgtop-devel not gnome-vfs2-devel

Revision 1.4  2007/04/15 14:13:08  megabajt
- added configure patch
- release 2

Revision 1.3  2007/04/15 09:16:06  megabajt
- missing requires for devel subpackage

Revision 1.2  2007/04/15 07:32:44  qboosh
- pl

Revision 1.1  2007/04/14 22:55:25  megabajt
- new
